varying vec3 L;
varying vec3 N;
varying vec3 P;

varying vec4 ProjShadow;

void main(void)
{
	P = vec3(gl_ModelViewMatrix * gl_Vertex);
	L = normalize(gl_LightSource[0].position.xyz-gl_Vertex.xyz);
	N = normalize(gl_NormalMatrix * gl_Normal);
    gl_TexCoord[0]	= gl_MultiTexCoord0;

	ProjShadow = gl_TextureMatrix[0] * gl_Vertex;
	gl_ClipVertex = gl_ModelViewMatrix*gl_Vertex;
 	gl_Position = ftransform();
}
